/**
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment.spi;

// $Id: DeploymentConfigurationImpl.java,v 1.1.1.1 2004/07/10 13:25:43 tdiesler Exp $

import javax.enterprise.deploy.model.DDBeanRoot;
import javax.enterprise.deploy.model.DeployableObject;
import javax.enterprise.deploy.spi.DConfigBeanRoot;
import javax.enterprise.deploy.spi.DeploymentConfiguration;
import javax.enterprise.deploy.spi.exceptions.BeanNotFoundException;
import javax.enterprise.deploy.spi.exceptions.ConfigurationException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * An interface that defines a container for all the server-specific configuration information for a single top-level
 * J2EE module. The DeploymentConfiguration object could represent a single stand alone module or an EAR file
 * that contains several sub-modules.
 * 
 * @author thomas.diesler@jboss.org
 * @version $Revision: 1.1.1.1 $
 */
public class DeploymentConfigurationImpl implements DeploymentConfiguration
{
   /**
    * Return an object that provides access to the deployment descriptor
    * 
    * @return the deployable object
    */
   public DeployableObject getDeployableObject()
   {
      return null;  //[todo] implement method
   }

   /**
    * Return the top level configuration for a deployment descriptor
    * 
    * @param bean the root of the deployment descriptor
    * @return the configuration
    * @throws javax.enterprise.deploy.spi.exceptions.ConfigurationException
    *          for an error in the deployment descriptor
    */
   public DConfigBeanRoot getDConfigBeanRoot(DDBeanRoot bean) throws ConfigurationException
   {
      return null;  //[todo] implement method
   }

   /**
    * Remove a root configuration and all its children
    * 
    * @param bean the configuration
    * @throws javax.enterprise.deploy.spi.exceptions.BeanNotFoundException
    *          when the bean is not found
    */
   public void removeDConfigBean(DConfigBeanRoot bean) throws BeanNotFoundException
   {
      //[todo] implement method
   }

   /**
    * Restore a configuration from an input stream
    * 
    * @param input the input stream
    * @param bean  the deployment descriptor
    * @return the configuration
    * @throws javax.enterprise.deploy.spi.exceptions.ConfigurationException
    *          when there is an error in the configuration
    */
   public DConfigBeanRoot restoreDConfigBean(InputStream input, DDBeanRoot bean) throws ConfigurationException
   {
      return null;  //[todo] implement method
   }

   /**
    * Save a configuration to an output stream
    * 
    * @param output the output stream
    * @param bean   the configuration
    * @throws javax.enterprise.deploy.spi.exceptions.ConfigurationException
    *          when there is an error in the configuration
    */
   public void saveDConfigBean(OutputStream output, DConfigBeanRoot bean) throws ConfigurationException
   {
      //[todo] implement method
   }

   /**
    * Restores a full set of configuration beans
    * 
    * @param input the input stream
    * @throws javax.enterprise.deploy.spi.exceptions.ConfigurationException
    *          for an error in the configuration
    */
   public void restore(InputStream input) throws ConfigurationException
   {
      //[todo] implement method
   }

   /**
    * Saves the fulls set of configuration beans
    * 
    * @param output the output stream
    * @throws javax.enterprise.deploy.spi.exceptions.ConfigurationException
    *          for an error in the configuration
    */
   public void save(OutputStream output) throws ConfigurationException
   {
      //[todo] implement method
   }
}
