/*
 * JBoss, the OpenSource EJB server
 * 
 * Distributable under LGPL license. See terms of license at gnu.org.
 */
package javax.resource.cci;

import javax.resource.ResourceException;

/**
 * A request/response message listener that message driven beans may implement
 */
public interface MessageListener
{
   /**
    * Request response style message listener
    *
    * @param inputData the input data
    * @return the response or null
    * @throws ResourceException for any error
    */
   Record onMessage(Record inputData) throws ResourceException;
}