/*
 * JBoss, the OpenSource EJB server
 * 
 * Distributable under LGPL license. See terms of license at gnu.org.
 */
package javax.resource.spi;

/**
 * The ConnectionRequestInfo allows a resource adapter to pass its own
 * information along with a request for a connection. In order to make use of
 * this functionality, a resource adapter needs to extend this interface and
 * add it's information.
 */
public interface ConnectionRequestInfo
{
   /**
	 * Tests object for equality
    * 
    * @param other the object to test
    * @return true when equal, false otherwise
	 */
   public boolean equals(Object other);

   /**
	 * Generates a hashCode for this object
    * 
    * @return the hash code
	 */
   public int hashCode();
}