/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: SerialisationResponseHandler.java,v 1.4.6.1 2005/03/02 14:19:51 tdiesler Exp $

package org.jboss.net.axis.server;

import org.jboss.axis.AxisFault;
import org.jboss.axis.MessageContext;
import org.jboss.axis.handlers.BasicHandler;

/**
 * This handler is to force serialisation inside transaction and
 * security boundaries.
 * <br>
 * <h3>Change notes</h3>
 *   <ul>
 *   </ul>
 * @created  22.03.2002
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.4.6.1 $
 */

public class SerialisationResponseHandler extends BasicHandler
{

   //
   // API
   //

   /**
    * force deserialisation by accessing the msgcontext.
    * @see Handler#invoke(MessageContext)
    */
   public void invoke(MessageContext msgContext) throws AxisFault
   {
      msgContext.getResponseMessage().getContentLength();
   }

}