/***************************************
 *                                     *
 *  JBoss: The OpenSource J2EE WebOS   *
 *                                     *
 *  Distributable under LGPL license.  *
 *  See terms of license at gnu.org.   *
 *                                     *
 ***************************************/
package org.jboss.mx.remoting;


/**
 * LocationAware is an interface that can be implemented for objects that
 * have an associated MBeanLocator and can be located via JMX Remoting.
 *
 * @author <a href="mailto:jhaynie@vocalocity.net">Jeff Haynie</a>
 * @version $Revision: 1.1 $
 */
public interface LocationAware
{
    /**
     * return the mbean locator to the object
     *
     * @return
     */
    public MBeanLocator getMBeanLocator ();
}
