/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package javax.management;

/**
 * Exceptions thrown by JMX implementations. These types of errors
 * occur during invocations as opposed to JMExceptions
 * which are due to incorrect invocations.
 *
 * @see javax.management.JMException
 *
 * @author <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>
 * @version $Revision: 1.2.30.1 $
 */
public class JMRuntimeException
   extends RuntimeException
{
   // Constants -----------------------------------------------------

   private static final long serialVersionUID = 6573344628407841861L;

   // Attributes ----------------------------------------------------

   // Static --------------------------------------------------------

   // Constructors --------------------------------------------------

   /**
    * Construct a new JMRuntimeException with no message.
    */
   public JMRuntimeException()
   {
      super();
   }

   /**
    * Construct a new JMRuntimeException with the given message.
    *
    * @param message the error message.
    */
   public JMRuntimeException(String message)
   {
      super(message);
   }

   // Public --------------------------------------------------------

   // RuntimeException overrides ------------------------------------

   // Private -------------------------------------------------------
}

