/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.mx.interceptor;

/**
 * Exception thrown when attempting to register a shared interceptor with
 * an already existing interceptor name. 
 *
 * @see org.jboss.mx.interceptor.AbstractInterceptor
 *
 * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
 * @version $Revision: 1.4.8.1 $
 */
public class InterceptorNameConflictException
   extends Exception
{
   private static final long serialVersionUID = -696843094576327612L;

   // Constructors --------------------------------------------------
   
   public InterceptorNameConflictException()
   {
      super();
   }
   
   public InterceptorNameConflictException(String msg)
   {
      super(msg);
   }
   
}
      



