/**
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package javax.management.j2ee.statistics;

// $Id: RangeStatistic.java,v 1.6.6.1 2005/04/05 17:41:16 starksm Exp $


/**
 * Specifies standard measurements of the lowest and highest values an attribute has held as well as its current value.
 * 
 * @author thomas.diesler@jboss.org
 */
public interface RangeStatistic extends Statistic
{
   /**
    * The highest value this attribute has held since the beginning of the measurement.
    */
   public long getHighWaterMark();

   /**
    * The lowest value this attribute has held since the beginning of the measurement.
    */
   public long getLowWaterMark();

   /**
    * The current value of this attribute.
    */
   public long getCurrent();
}

