/**
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

// $Id: J2EETypeConstants.java,v 1.1 2004/02/12 12:41:49 tdiesler Exp $

/**
 * Constants for J2EE management types
 * 
 * @author thomas.diesler@jboss.org
 */
public final class J2EETypeConstants
{
   public static final String J2EEDomain = "J2EEDomain";
   public static final String J2EEServer = "J2EEServer";
   public static final String J2EEApplication = "J2EEApplication";

   // modules
   public static final String AppClientModule = "AppClientModule";
   public static final String EJBModule = "EJBModule";
   public static final String WebModule = "WebModule";
   public static final String ResourceAdapterModule = "ResourceAdapterModule";

   // EJBs
   public static final String EntityBean = "EntityBean";
   public static final String StatefulSessionBean = "StatefulSessionBean";
   public static final String StatelessSessionBean = "StatelessSessionBean";
   public static final String MessageDrivenBean = "MessageDrivenBean";

   // web components
   public static final String Servlet = "Servlet";

   // resources
   public static final String ResourceAdapter = "ResourceAdapter";
   public static final String JavaMailResource = "JavaMailResource";
   public static final String JCAResource = "JCAResource";
   public static final String JCAConnectionFactory = "JCAConnectionFactory";
   public static final String JCAManagedConnectionFactory = "JCAManagedConnectionFactory";
   public static final String JDBCResource = "JDBCResource";
   public static final String JDBCDataSource = "JDBCDataSource";
   public static final String JDBCDriver = "JDBCDriver";
   public static final String JMSResource = "JMSResource";
   public static final String JNDIResource = "JNDIResource";
   public static final String JTAResource = "JTAResource";
   public static final String RMI_IIOPResource = "RMI_IIOPResource";
   public static final String URLResource = "URLResource";
   public static final String JVM = "JVM";

   // JBoss managed objects
   public static final String MBean = "MBean";
   public static final String ServiceModule = "ServiceModule";
}
