/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.media.format.image.iio;

import javax.imageio.metadata.IIOMetadata;

/**
 * JPEG <code>MediaHeader</code> based on the Java Image I/O API.
 *
 * @version <tt>$Revision: 1.1 $</tt>
 * @author <a href="mailto:ricardoarguello@users.sourceforge.net">Ricardo Argello</a>
 */
public class JPEGMediaHeader extends IIOMediaHeader
{
   // FIXME
   private static final long serialVersionUID = 0L;

   private static final String JPEG_METADATA_FORMAT_NAME =
      "javax_imageio_jpeg_image_1.0";

   private static final String[] FIELD_NAMES = {
   };

   /**
    * Constructor.
    *
    * @param metadata
    * @param metadataFormat
    */
   public JPEGMediaHeader(IIOMetadata imageMetadata)
   {
      super(imageMetadata, JPEG_METADATA_FORMAT_NAME);
   }

   /**
    * @see javax.emb.MediaHeader#getFieldNames()
    */
   public String[] getFieldNames()
   {
      return FIELD_NAMES;
   }

   /**
    * @see javax.emb.MediaHeader#getField(java.lang.String)
    */
   public Object getField(String fieldname)
   {
      Object field = null;

      return field;
   }
}
