/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting;

/**
 * MBean interface.
 */
public interface ServerInterceptorChainMBean {

   /**
    * Get the ConnectorName value.
    * @return the ConnectorName value.
    */
  javax.management.ObjectName getConnectorName() ;

   /**
    * Set the ConnectorName value.
    * @param newConnectorName The new ConnectorName value.
    */
  void setConnectorName(javax.management.ObjectName newConnectorName) ;

   /**
    * Get the Subsystem value.
    * @return the Subsystem value.
    */
  java.lang.String getSubsystem() ;

   /**
    * Set the Subsystem value.
    * @param newSubsystem The new Subsystem value.
    */
  void setSubsystem(java.lang.String newSubsystem) ;

   /**
    * Get the InterceptorName value.
    * @return the InterceptorName value.
    */
  java.util.List getInterceptorNames() ;

   /**
    * Set the InterceptorName value.
    * @param newInterceptorName The new InterceptorName value.
    */
  void setInterceptorNames(java.util.List newInterceptorNames) ;

   /**
    * The <code>start</code> method
    * @exception Exception if an error occurs
    */
  void start() throws java.lang.Exception;

   /**
    * The <code>stop</code> method
    * @exception Exception if an error occurs
    */
  void stop() throws java.lang.Exception;

}
