/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.jbossnet.servicename;

import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import java.rmi.RemoteException;

/**
 * 
 * @author BenvenS
 * 
 * @ejb.bean name = "HelloBean"
 *           type = "Stateless"
 *           view-type = "remote"
 * 
 * @jboss-net.web-service urn="greetings/Hello"
 */
public class HelloBeanImpl implements SessionBean
{

   /**
    * Say hello.
    * 
    * @ejb.interface-method 
    * 
    * @jboss-net.web-method returnQName="greeting"
    */
   public GreetingTO sayHello()
   {
      GreetingTO g = new GreetingTO();
      g.setGreeting("Hello !!!");
      return g;
   }

   public void ejbCreate() throws EJBException, RemoteException
   {
   }

   public void ejbActivate() throws EJBException, RemoteException
   {
   }

   public void ejbPassivate() throws EJBException, RemoteException
   {
   }

   public void ejbRemove() throws EJBException, RemoteException
   {
   }

   public void setSessionContext(SessionContext ctx) throws EJBException, RemoteException
   {
   }

}
