/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 */
package org.jboss.test.jca.test;

import junit.framework.Test;
import org.jboss.test.JBossTestCase;
import org.jboss.test.jca.inflow.TestResourceAdapter;
import org.jboss.test.jca.inflow.TestResourceAdapterInflowResults;

/**
 * Inflow Unit Tests
 *
 * @author <a href="mailto:adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.2 $
 */
public class InflowUnitTestCase extends JBossTestCase
{

   public InflowUnitTestCase (String name)
   {
      super(name);
   }
   
   public static Test suite() throws Exception
   {
      Test t1 = getDeploySetup(InflowUnitTestCase.class, "jcainflowmdb.jar");
      Test t2 = getDeploySetup(t1, "jcainflow.rar");
      return t2;
   }

   public void testInflow() throws Throwable
   {
      TestResourceAdapterInflowResults results = (TestResourceAdapterInflowResults) getServer().invoke
      (
          TestResourceAdapter.mbean,
          "testInflow",
          new Object[0],
          new String[0]
      );
      
      results.check(); 
   }
}
