/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 */
package org.jboss.test.jca.test;

import junit.framework.Test;
import org.jboss.test.JBossTestCase;
import org.jboss.test.jca.inflow.TestResourceAdapter;
import org.jboss.test.jca.inflow.TestResourceAdapterTxInflowResults;

/**
 * Inflow Unit Tests
 *
 * @author <a href="mailto:adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1 $
 */
public class TxInflowUnitTestCase extends JBossTestCase
{

   public TxInflowUnitTestCase (String name)
   {
      super(name);
   }
   
   public static Test suite() throws Exception
   {
      Test t1 = getDeploySetup(TxInflowUnitTestCase.class, "jcainflow.rar");
      return t1;
   }

   public void testTimer() throws Throwable
   {
      TestResourceAdapterTxInflowResults results = (TestResourceAdapterTxInflowResults) getServer().invoke
      (
          TestResourceAdapter.mbean,
          "testTxInflow",
          new Object[0],
          new String[0]
      );
      
      results.check(); 
   }
}
