/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.readahead.interfaces;

import java.util.Collection;
import java.rmi.RemoteException;
import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import javax.ejb.FinderException;

/**
 * Home interface for one of the entities used in read-ahead finder tests.
 * 
 * @author <a href="mailto:danch@nvisia.com">danch (Dan Christopherson</a>
 * @version $Id: CMPFindTestEntityHome.java,v 1.1.30.1 2005/04/06 21:25:08 starksm Exp $
 * 
 * Revision:
 */
public interface CMPFindTestEntityHome extends EJBHome {
   public CMPFindTestEntityRemote create(String key) throws RemoteException, CreateException;
   public CMPFindTestEntityRemote findByPrimaryKey(String primaryKey) throws RemoteException, FinderException;
   public Collection findAll() throws RemoteException, FinderException;
   public Collection findByCity(String city) throws RemoteException, FinderException;
}